> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/cli/pdf2xps/cmd-options.md).

# Command-Line Summary for PDF2Text

Discover the best strategies for writing an effective SEO meta description. Learn how to craft compelling descriptions that drive clicks and improve your website's search engine visibility. The Apryse

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
Usage: pdf2xps [<options>] file...

OPTIONS:

  --file... arg           A list of folders and/or file names to process.

  -o [ --output ] arg     The output folder used to store modified files. The
                          default output folder is the current working folder.

  --subfolders            Process all sub-directories for every directory
                          specified in the argument list. By default,
                          sub-directories are not processed.

  -d [ --dpi ] arg (=92)  The output resolution, from 1 to 1000, in Dots Per
                          Inch (DPI) at which to render elements which cannot
                          be directly converted. The higher the DPI, the larger
                          the image. The default resolution is 92 DPI.

  --prefix arg            The prefix for the output file. The output filename
                          will be constructed by concatenating the prefix
                          string and the appropriate extension (e.g.
                          myprefix.xps or myprefix.oxps).  The prefix option
                          should be used only for conversion of individual
                          documents. By default, each input filename will be
                          used as a prefix.

  -a [ --pages ] arg (=-) Specifies the list of pages to convert. By default,
                          all pages are converted.

  --url_links             For conversions to .xps, .xod, .html or .epub only.
                          By default links are not generated for urls found in
                          the document. This option enables that generation.
  --printmode             Displays annotations in the print mode. This option
                          can be used to display 'Print Only' annotations and
                          to hide 'Screen Only' annotations.

  --openxps               Specifies the output format to be Open XPS rather
                          than XPS.

  --norender              Disables rendering of pages which cannot be mapped
                          accurately to XPS.

  --enhance_thin_lines    Makes thin lines appear thicker in the output
                          document.  This is useful because some thin lines can
                          appear invisible in XPS, but not in the source
                          document.

  --config arg            Load xml file to configure font substitution for
                          missing fonts. By default, tries to load the file
                          "config.xml" in the current working directory.

  --noprompt              Disables any user input. By default, the application
                          will ask for a valid password if the password is
                          incorrect.

  -p [ --pass ] arg       The password for the input file. Not required if the
                          input document is not secured.

  --extension arg (=.pdf) The default file extension used to process PDF
                          documents. The default extension is ".pdf".

  --verb arg (=1)         Set the verbosity level. Valid parameter values are
                          0, 1, and 2. The higher number results in more
                          feedback. The default is 1.

  -v [ --version ]        Print the version information.

  -h [ --help ]           Print a listing of available options.



Examples:
  pdf2xps -o test_out/ex1 "Apryse PDF2XPS User Manual.pdf"
  pdf2xps -o test_out/ex3 -p mypass secret.pdf
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/cli/pdf2xps/cmd-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
